var tableChar = [];
    tableChar[97] = ["b", "a"];
    tableChar[98] = ["b", "b"];
    tableChar[99] = ["b", "c"];
    tableChar[100] = ["b", "d"];
    tableChar[101] = ["b", "e"];
    tableChar[102] = ["b", "f"];
    tableChar[103] = ["b", "g"];
    tableChar[104] = ["b", "h"];
    tableChar[105] = ["b", "i"];
    tableChar[106] = ["b", "j"];
    tableChar[107] = ["b", "k"];
    tableChar[108] = ["b", "l"];
    tableChar[109] = ["b", "m"];
    tableChar[110] = ["b", "n"];
    tableChar[111] = ["b", "o"];
    tableChar[112] = ["b", "p"];
    tableChar[113] = ["b", "q"];
    tableChar[114] = ["b", "r"];
    tableChar[115] = ["b", "s"];
    tableChar[116] = ["b", "t"];
    tableChar[117] = ["b", "u"];
    tableChar[118] = ["b", "v"];
    tableChar[119] = ["b", "w"];
    tableChar[120] = ["b", "x"];
    tableChar[121] = ["b", "y"];
    tableChar[122] = ["b", "z"];
    tableChar[65] = ["c", "A"];
    tableChar[66] = ["c", "B"];
    tableChar[67] = ["c", "C"];
    tableChar[68] = ["c", "D"];
    tableChar[69] = ["c", "E"];
    tableChar[70] = ["c", "F"];
    tableChar[71] = ["c", "G"];
    tableChar[72] = ["c", "H"];
    tableChar[73] = ["c", "I"];
    tableChar[74] = ["c", "J"];
    tableChar[75] = ["c", "K"];
    tableChar[76] = ["c", "L"];
    tableChar[77] = ["c", "M"];
    tableChar[78] = ["c", "N"];
    tableChar[79] = ["c", "O"];
    tableChar[80] = ["c", "P"];
    tableChar[81] = ["c", "Q"];
    tableChar[82] = ["c", "R"];
    tableChar[83] = ["c", "S"];
    tableChar[84] = ["c", "T"];
    tableChar[85] = ["c", "U"];
    tableChar[86] = ["c", "V"];
    tableChar[87] = ["c", "W"];
    tableChar[88] = ["c", "X"];
    tableChar[89] = ["c", "Y"];
    tableChar[90] = ["c", "Z"];
    tableChar[45804] = ["hangul", "syllabledal"];
    tableChar[45796] = ["hangul", "syllableda"];
    tableChar[46160] = ["hangul", "syllabledu"];
    tableChar[50612] = ["hangul", "syllableeo"];
    tableChar[44060] = ["hangul", "syllablegae"];
    tableChar[44592] = ["hangul", "syllablegi"];
    tableChar[44256] = ["hangul", "syllablego"];
    tableChar[54632] = ["hangul", "syllableham"];
    tableChar[54868] = ["hangul", "syllablehwa"];
    tableChar[51060] = ["hangul", "syllablei"];
    tableChar[51080] = ["hangul", "syllableiss"];
    tableChar[53092] = ["hangul", "syllablekom"];
    tableChar[47732] = ["hangul", "syllablemyeon"];
    tableChar[47484] = ["hangul", "syllablereul"];
    tableChar[47532] = ["hangul", "syllableri"];
    tableChar[50868] = ["hangul", "syllableun"];
    tableChar[51032] = ["hangul", "syllableyi"];
    tableChar[33457] = ["ideograph", "flower"];
    tableChar[38283] = ["ideograph", "open"];
    tableChar[48] = ["n", "0"];
    tableChar[49] = ["n", "1"];
    tableChar[50] = ["n", "2"];
    tableChar[51] = ["n", "3"];
    tableChar[52] = ["n", "4"];
    tableChar[53] = ["n", "5"];
    tableChar[54] = ["n", "6"];
    tableChar[55] = ["n", "7"];
    tableChar[56] = ["n", "8"];
    tableChar[57] = ["n", "9"];
    tableChar[180] = ["p", "acuteaccent"];
    tableChar[42] = ["p", "asterisk"];
    tableChar[184] = ["p", "cedilla"];
    tableChar[94] = ["p", "circumflexaccent"];
    tableChar[58] = ["p", "colon"];
    tableChar[44] = ["p", "coma"];
    tableChar[64] = ["p", "commercialat"];
    tableChar[168] = ["p", "diaresis"];
    tableChar[61] = ["p", "equals"];
    tableChar[33] = ["p", "exclamationmark"];
    tableChar[46] = ["p", "fullstop"];
    tableChar[96] = ["p", "graveaccent"];
    tableChar[62] = ["p", "greaterthansign"];
    tableChar[123] = ["p", "leftcurlybracket"];
    tableChar[8220] = ["p", "leftdoublequotationmark"];
    tableChar[40] = ["p", "leftparenthesis"];
    tableChar[171] = ["p", "leftpointing"];
    tableChar[91] = ["p", "leftsquarebracket"];
    tableChar[60] = ["p", "lessthansign"];
    tableChar[95] = ["p", "lowline"];
    tableChar[45] = ["p", "minus"];
    tableChar[35] = ["p", "numbersign"];
    tableChar[339] = ["p", "oeligature"];
    tableChar[37] = ["p", "percentsign"];
    tableChar[43] = ["p", "plus"];
    tableChar[63] = ["p", "questionmark"];
    tableChar[125] = ["p", "rightcurlybracket"];
    tableChar[8221] = ["p", "rightdoublequotationmark"];
    tableChar[41] = ["p", "rightparenthesis"];
    tableChar[187] = ["p", "rightpointing"];
    tableChar[8217] = ["p", "rightqinglequotationmark"];
    tableChar[93] = ["p", "rightsquarebracket"];
    tableChar[59] = ["p", "semicolon"];
    tableChar[47] = ["p", "solidus"];
    tableChar[32] = ["p", "space"];
    tableChar[46] = ["p", "stop"];
    tableChar[124] = ["p", "verticalline"];
